org.apache.http.conn.ssl

## Interface PrivateKeyStrategy

- Deprecated.
  (4.4) use `PrivateKeyStrategy`.

      @Deprecated
      public interface PrivateKeyStrategy

  A strategy allowing for a choice of an alias during SSL authentication.
  Since:
    4.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `chooseAlias(Map<String,PrivateKeyDetails> aliases, Socket socket)` Deprecated. Determines what key material to use for SSL authentication.

- - ### Method Detail

    - #### chooseAlias

          String chooseAlias(Map<String,PrivateKeyDetails> aliases,
                           Socket socket)

      Deprecated.
      Determines what key material to use for SSL authentication.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.